Bug 122006 - "make menuconfig" fails without ncurses-devel
Summary: "make menuconfig" fails without ncurses-devel
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-29 17:28 UTC by Don Buchholz
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-04 00:05:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Don Buchholz 2004-04-29 17:28:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
Recommended (RedHat Sys. Admin. Guide, Appendix A) kernel
configuration method fails unless "ncurses-devel" is installed.  The
package is not 'required' when installing "kernel-source".


Version-Release number of selected component (if applicable):
kernel-source-2.4.21-9.0.1.EL.i386.rpm

How reproducible:
Always

Steps to Reproduce:
1. cd /usr/src/linux-2.4
2. cp configs/kernel-2.4.21-i686-smp.config .config
3. make menuconfig
    

Actual Results:   # make menuconfig
 rm -f include/asm
 ( cd include ; ln -sf asm-i386 asm)
 make -C scripts/lxdialog all
 make[1]: Entering directory
`/usr/src/linux-2.4.21-9.0.1.EL/scripts/lxdialog'
 gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -DLOCALE 
-DCURSES_LOC="<curses.h>" -c -o checklist.o checklist.c
 In file included from checklist.c:24:
 dialog.h:29:20: curses.h: No such file or directory
 In file included from checklist.c:24:
 dialog.h:127: syntax error before "use_colors" 
   ...

Expected Results:  Expected the kernel configuration menus to be
displayed.

Additional info:

This has been reported under the Fedora Core product as bug #121228.  
I have only seen this on an i686 system, but assume other kernel archs
are affected, too.

Comment 1 Ernie Petrides 2005-06-04 00:05:27 UTC
Hi, Don.

The correct build-from-source procedure is as follows:

  1) make mrproper
  2) cp configs/kernel-2.4.21-i686-smp.config .config  [or some other config]
  3) make oldconfig
  4) make dep
  5) make bzImage
  6) make modules

Using "make menuconfig" is not supported.

Cheers.  -ernie



Note You need to log in before you can comment on or make changes to this bug.